Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Burst in a lisp

11 REPLIES 11
Reply
Message 1 of 12
jth-wspusa
6797 Views, 11 Replies

Burst in a lisp

How do I use the BURST command inside of another lisp? My list creates a selection set then I call for the BURST command and I want to supply P for previous and an enter to complete the burst command. I have 350 files to run this lisp on through a script and I don't want to have to hit the P enter enter.

(setq deablk (ssget "X" (list (cons 2 "*"))));creates block selection set
(C:BURST)

I've also tried these lines but the BURST command come back as unknown.

(load "C:/Program Files/AutoCAD Civil 3D Land Desktop Companion 2008/Express/Burst.lsp")

(defun C:BURST () (command "BURST"))

(command "BURST" "P" "");explodes block selection set


What am I missing.
11 REPLIES 11
Message 2 of 12
anim8er_gie
in reply to: jth-wspusa

Like that built in cup holder, huh?
Message 3 of 12
Anonymous
in reply to: jth-wspusa

Look in the Express tools folder at BURST.LSP
This is not a native command, is actully starts with Autolisp.


wrote in message news:6279758@discussion.autodesk.com...
How do I use the BURST command inside of another lisp? My list creates a
selection set then I call for the BURST command and I want to supply P for
previous and an enter to complete the burst command. I have 350 files to
run this lisp on through a script and I don't want to have to hit the P
enter enter.

(setq deablk (ssget "X" (list (cons 2 "*"))));creates block selection set
(C:BURST)

I've also tried these lines but the BURST command come back as unknown.

(load "C:/Program Files/AutoCAD Civil 3D Land Desktop Companion
2008/Express/Burst.lsp")

(defun C:BURST () (command "BURST"))

(command "BURST" "P" "");explodes block selection set


What am I missing.
Message 4 of 12
jth-wspusa
in reply to: jth-wspusa

I do realize that it is a lisp routine and not an AutoCAD command, hence using the (C:BURST) code to call the defun command that is already loaded on my machine. What I need is a syntax to supply the next entries to the command line. I able to execute the what I want through a script, but I want to put everything into one lisp routine. Right now my script opens a file issues a lisp, the burst call and the command entries then another lisp to finish the cleanup. I figure that there has to be a master with some vlx command to do what I need.
Message 5 of 12
Anonymous
in reply to: jth-wspusa

in the bust.lsp file, change the line from (first save the file to a diff
name for safe keeping)
(setq ss1 (ssget (list (cons "INSERT")(cons 67 PSFLAG)))) to ...
(setq ss1 (ssget "P" (list (cons "INSERT")(cons 67 PSFLAG))))
and give it a shot
HTH

wrote in message news:6280127@discussion.autodesk.com...
I do realize that it is a lisp routine and not an AutoCAD command, hence
using the (C:BURST) code to call the defun command that is already loaded on
my machine. What I need is a syntax to supply the next entries to the
command line. I able to execute the what I want through a script, but I
want to put everything into one lisp routine. Right now my script opens a
file issues a lisp, the burst call and the command entries then another lisp
to finish the cleanup. I figure that there has to be a master with some vlx
command to do what I need.
Message 6 of 12
anim8er_gie
in reply to: jth-wspusa

You can't name your command the same as an existing command. Many AutoCAD commands ARE lisp routines. Call it something else. If nothing else, it is poor practice to use duplicate names for anything.
Message 7 of 12
jsowinski
in reply to: jth-wspusa

Hi-
Here is some code that will burst all blocks including nested blocks. I think what you are looking for is the second line of the while statement. (sssetfirst nil sset) It will send your selection set to burst. Modify it as needed. Hope this helps.

(defun C:Test (/ sset)
(while (setq sset (ssget "X" '((0 . "INSERT"))))
(sssetfirst nil sset)
(C:Burst)
)
(princ)
)
Message 8 of 12
jth-wspusa
in reply to: jth-wspusa

anim8er you are not being helpful or constructive.
You should review the Discussion Group ground rules.

If you clearly read the helpful post by HTH he does mention renaming of the AutoDESK supplied lisp.

Please stop posting non-constructive replies to this thread or you will lose you posting rights again.
Message 9 of 12
jth-wspusa
in reply to: jth-wspusa

Thanks for your suggestion HTH I will try that out.
Message 10 of 12
jth-wspusa
in reply to: jth-wspusa

jsowinski thanks for you suggestion also. I will try it.
Message 11 of 12
rajakalirajan
in reply to: jth-wspusa

burst command is not working

 

(command "burst" "all")

 

above command is showing unknown command "BURST"


@jth-wspusa wrote:
How do I use the BURST command inside of another lisp? My list creates a selection set then I call for the BURST command and I want to supply P for previous and an enter to complete the burst command. I have 350 files to run this lisp on through a script and I don't want to have to hit the P enter enter.

(setq deablk (ssget "X" (list (cons 2 "*"))));creates block selection set
(C:BURST)

I've also tried these lines but the BURST command come back as unknown.

(load "C:/Program Files/AutoCAD Civil 3D Land Desktop Companion 2008/Express/Burst.lsp")

(defun C:BURST () (command "BURST"))

(command "BURST" "P" "");explodes block selection set


What am I missing.

 

Message 12 of 12
bhull1985
in reply to: rajakalirajan

This is likely because BURST is an express tools autolisp routine, as stated earlier in this thread.

You will need to have express tools installed on your autocad for the command to work.

 

OP- and this is for your info, I could care less but figure it'd be the decent thing to let you know...that,

"HTH" is an acronym for Hope that Helps.

The forum name of the individual who used the acronym is "Mark".

HTH 😛

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Please use code tags and credit where credit is due. Accept as solution, if solved. Let's keep it trim people!

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost